#ifndef __CURRENTPLAYING_H
#define __CURRENTPLAYING_H

#ifdef __cplusplus
extern "C" {
#endif

#include "label.h"
#include "sound.h"

class CurrentPlaying : public Label
{
	public:
		CurrentPlaying();
		virtual ~CurrentPlaying();
		
		virtual void resize(int width, int height);		
		virtual void draw();
	private:
		void reskin();
		
		char *lastPlaying;
		
		Sound sound;
		Theme windowManager;
};

#ifdef __cplusplus
}
#endif

#endif
